/**
 * The default console log function, used when no console is provided.
 * Silently discards all console log output.
 */
declare const silentConsole: {
    log: (...data: any[]) => void;
    warn: (...data: any[]) => void;
    error: (...data: any[]) => void;
    debug: (...data: any[]) => void;
};
declare type InternalConsole = typeof silentConsole;
/**
 * The set of console log functions actually used internally.
 */
export declare let internalConsole: InternalConsole;
/**
 * Registers a set of functions to be used as the console. By default, the console is silent.
 * @param {InternalConsole} newConsole The set of console functions to use
 */
export declare function registerConsole(newConsole: InternalConsole): void;
export {};
